/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.mrql;

import org.apache.mrql.gen.*;
import org.apache.hadoop.fs.FSDataInputStream;


/** for a new text data source, you must implement a new parser */
interface Parser {
    public void initialize ( Trees args );
    public Tree type ();
    public void open ( String file );
    public void open ( FSDataInputStream fsin, long start, long end );
    public void open ( String host, int port );
    public String slice ();
    public Bag parse ( String s );
}
